#
# spec file for package wlsunset
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wlsunset
Version:        0.3.0
Release:        1.2
Summary:        Day/night gamma adjustments for Wayland compositors
License:        MIT
URL:            https://git.sr.ht/~kennylevinsen/wlsunset
Source:         https://git.sr.ht/~kennylevinsen/wlsunset/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  meson >= 0.53.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(scdoc) >= 1.9.7
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wayland-scanner)

%description
Day/night gamma adjustments for Wayland compositors supporting wlr-gamma-control-unstable-v1

%prep
%setup -q

%build
%meson

%meson_build

%install
%meson_install

%files
%{_bindir}/wlsunset
%{_mandir}/man1/wlsunset.1%{?ext_man}

%changelog
* Thu Jun  1 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 0.3.0:
  This release includes the ability to run only on a specific output, and
  contains improvements around Wayland server shutdown, manual time
  handling, and FreeBSD support. Here are the changes:
  * Support running only for specific outputs (displays)
  * Refactor RGB & XYZ colors into structs
  * meson: Copy seatd's scdoc handling
  * Only set up xdg-output once
  * Store enabled state on output
  * Ensure step time is at least 1 second
  * Move feature defines to C files
  * Use timezone as time offset for manual time
  * Negate longitude_time_offset
  * display_dispatch: Terminate poll loop on EPIPE
* Sat May  1 2021 Martin Rey <mrey@suse.com>
- Initial package wlsunset 0.2.0 for openSUSE
